%define rel             1.1
%define pre             0
%if %pre
%define release         0.%{rel}.%{pre}%{?dist}
%define distname        %{name}-%{version}.%{pre}.tar.bz2
%define dirname         %{name}-%{version}
%else
%define release         %{rel}%{?dist}
%define distname        %{name}-%{version}.tar.bz2
%define dirname         %{name}-%{version}
%endif

Name:           gstreamer-vaapi
Version:        0.6.1
Release:        %{release}
Summary:        A collection of VA-API based plugins for GStreamer and helper libraries
Group:          System Environment/Libraries
License:        LGPLv2+ and GPLv2+
URL:            http://www.splitted-desktop.com/~gbeauchesne/gstreamer-vaapi/
Source0:        http://www.splitted-desktop.com/~gbeauchesne/gstreamer-vaapi/%{distname}
#Patch0:         gstreamer-vaapi-0.2.4-ffmpeg_headers.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  libtool
BuildRequires:  gtk-doc
BuildRequires:  libX11-devel
BuildRequires:  libGL-devel
BuildRequires:  libva-devel
BuildRequires:  ffmpeg-devel
BuildRequires:  gstreamer-devel
BuildRequires:  gstreamer-plugins-base-devel

%description
Gstreamer-vaapi is a collection of VA-API based plugins for GStreamer
and helper libraries. vaapidecode is used to decode MPEG-2, MPEG-4,
H.264, VC-1, WMV3 videos to video/x-vaapi-surface surfaces, depending
on the underlying HW capabilities. vaapiconvert is used to convert from
video/x-raw-yuv pixels to video/x-vaapi-surface surfaces. vaapisink is
used to display video/x-vaapi-surface surfaces to the screen. 

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q -n %{dirname}
#patch0 -p1 -b .ffmpeg_headers

%build
autoreconf -i
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
find %{buildroot} -regex ".*\.la$" | xargs rm -f --
find %{buildroot} -regex ".*\.a$" | xargs rm -f --

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING COPYING.LIB NEWS README
%{_libdir}/*.so.*
%{_libdir}/gstreamer-0.10/*.so

%files devel
%defattr(-,root,root,-)
%doc README COPYING COPYING.LIB
%{_includedir}/gstreamer-0.10/gst/vaapi
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}*.pc

%changelog
* Sun Nov 08 2015 Stephen Collier <stephen.collier@gmail.com> - 0.6.1-1
- Updated to 0.6.1

* Sat Feb 19 2011 Paulo Roma <roma@lcg.ufrj.br> - 0.2.5-1
- Updated to 0.2.5

* Tue Jul 20 2010 Adam Williamson <adamwill AT shaw.ca> - 0.2.5-0.1.pre2
- new release:
        + Fix build with older VA-API 0.29-sds
        + Fix decoding of some H.264 streams. e.g. Ice Age 2 trailer
        + Fix VA/GLX support with texture-from-pixmap and GLX version < 1.3
- rediff ffmpeg_headers.patch

* Fri May 21 2010 Adam Williamson <adamwill AT shaw.ca> - 0.2.4-0.1.pre2
- initial release
